<?php
/**
 * @package     PHP-Bridge
 * @subpackage  com_phpbridge
 *
 * @copyright   Copyright (C) 2017 Henry Schorradt, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// Set some global property
$document = JFactory::getDocument();
$document->addStyleDeclaration('.icon-48-phpbridge {background-image: url(../media/com_phpbridge/images/php_48x48.png);}');


if (!JFactory::getUser()->authorise('core.manage', 'com_phpbridge'))
{
    throw new JAccessExceptionNotallowed(JText::_('JERROR_ALERTNOAUTHOR'), 403);
}

// Execute the task.
$controller        = JControllerLegacy::getInstance('PhpBridge');
$controller->execute(JFactory::getApplication()->input->get('task'));
$controller->redirect();